2017-06-25 09:41 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002542NetSurfDevelopmentpublic2017-06-10 08:52
ReporterAlastair Hughes 
Assigned To 
SeverityminorReproducibilityalways 
StatusconfirmedResolutionreopened 
Platformx86_64OSLinuxOS VersionArch
Product Version3.6 
Target VersionFixed in Version 
Summary0002542: Build failure against upstream's utf8proc due to moved header
DescriptionUpstream (https://github.com/JuliaLang/utf8proc) installs utf8proc.h to include/utf8proc.h instead of include/libutfproc/utf8proc.h (https://github.com/JuliaLang/utf8proc/blob/master/Makefile#L91). However, netsurf assumes it will be in include/libutf8proc/utf8proc.h (http://source.netsurf-browser.org/netsurf.git/tree/utils/idna.c#n29). It would be nice if Netsurf could use the upstream version unaltered.
Steps To ReproduceAttempt to build netsurf against upstream utf8proc instead of netsurf's fork.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001567

Vincent Sanders (administrator)

The fixes were merged upstream

https://github.com/JuliaLang/utf8proc/pull/88

and placed in release 2.1

https://julialang.org/utf8proc/releases/

as such netsurf can now be built with upstream
Alastair Hughes

~0001568

Alastair Hughes (reporter)

I'm using utf8proc 2.1, netsurf 3.6, and it does *not* build out of the box.

To fix the build I have to provide a pkg-config file with the utf8proc package, and fix idna.c to include <utf8proc.h> instead of <libutf8proc/utf8proc.h>. This issue is about the utf8proc.h header location.

I'm building netsurf on Arch Linux, with an updated version of the utf8proc package. If there's some flag I've missed which makes things work please share :D
Vincent Sanders

~0001569

Vincent Sanders (administrator)

you are correct although the code changes were made

https://github.com/JuliaLang/utf8proc/issues/105

the pkg-config issue has not been resolved.

we will attempt to persuade upstream to take notice of this issue at which point upstream header location will be resolved
+Notes

-Issue History
Date Modified Username Field Change
2017-05-14 10:01 Alastair Hughes New Issue
2017-06-09 20:38 Vincent Sanders Status new => resolved
2017-06-09 20:38 Vincent Sanders Note Added: 0001567
2017-06-10 00:46 Alastair Hughes Status resolved => feedback
2017-06-10 00:46 Alastair Hughes Resolution open => reopened
2017-06-10 00:46 Alastair Hughes Note Added: 0001568
2017-06-10 08:52 Vincent Sanders Status feedback => confirmed
2017-06-10 08:52 Vincent Sanders Note Added: 0001569
+Issue History